petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCreateSubDM

Returns an IS and DM encapsulating a subproblem defined by the fields passed in. The fields are defined by DMCreateFieldIS().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCreateSubDM(DM dm, PetscInt numFields, PetscInt fields[], IS *is, DM *subdm)

Not collective

### Input Parameters

| dm | - the DM object
| numFields | - number of fields in this subproblem
| len | - The number of subproblems in the decomposition (or NULL if not requested)

### Output Parameters

is -The global indices for the subproblem
dm -The DM for the subproblem

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMCreateFieldIS()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex77.c.html